%define upstream_name    Complete-Tcsh
%define upstream_version 0.030

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Completion module for tcsh shell
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Complete/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Complete::Bash) >= 0.331.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
tcsh allows completion to come from various sources. One of the simplest is
from a list of words:

 % complete CMDNAME 'p/*/(one two three)/'

Another source is from an external command:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.30.0-3.mga9
+ Revision: 1812145
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 0.30.0-2.mga8
+ Revision: 1541129
- Mageia 8 Mass Rebuild

* Sat Dec 21 2019 tv <tv> 0.30.0-1.mga8
+ Revision: 1469213
- update to 0.030

* Mon Dec 03 2018 shlomif <shlomif> 0.20.0-1.mga7
+ Revision: 1338123
- cpan2dist


* Mon Dec 03 2018 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
